Bug 75062 - (NET 3C59X) mii-tool fails to detect link on 3c59x
(NET 3C59X) mii-tool fails to detect link on 3c59x
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 23:00 EDT by Mark Cooke
Modified: 2013-07-02 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Cooke 2002-10-03 23:00:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Setup dhcp on a 3c59x.
Link is not detected at 'check_link_down' call in ifup script.
This meant the card could not be brought up until I commented out that check.

Looking at mii-tool output for the 3x59x, it bears no resemblance to reality.

Card is up and running as 100baseTx-FD crossover to the cable modem.
mii-tool reports 10base, half duplex, no link.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure a 3c905B for DHCP networking.
  (cross over cable to an SB4200 cable modem)
2.Bring up the interface

Actual Results:  Network did not come up.

Expected Results:  Link should have been detected, and dhcp processing should
have taken place.

commenting out the link check gave a successful network startup.

Additional info:
Comment 1 Pádraig Brady 2003-01-23 07:46:24 EST
I don't think this is 3c59x specific. See 75813
Comment 2 Julio Velloso 2004-07-16 08:06:54 EDT
Add the follow line to modules.conf

options 3c59x options=8

Options Line  Media Type  
options 3c59x options=0  "10baseT"  
options 3c59x options=1  "10Mbs AUI"  
options 3c59x options=3  "10base2"  
options 3c59x options=4  "100baseTX"  
options 3c59x options=5  "100baseFX"  
options 3c59x options=8  "Autonegotiate"  
options 3c59x options=9  "MII-External"  
options 3c59x options=10  "Default" (10baseT)  
Comment 3 Bugzilla owner 2004-09-30 11:39:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.